/*搜索*/
function CheckSearch()
{
   if (trim(document.Searchform.KeyWord.value)=="" || trim(document.Searchform.KeyWord.value)=="请输入关键字")
   {
	  alert("请输入关键字");
      document.Searchform.KeyWord.focus();
	  return false;
	  exit;
   }
   return true;
}
/*会员登录*/
function CheckLogin()
{
   if (trim(document.Loginform.Item1.value).length<2 || trim(document.Loginform.Item1.value).length>15)
   {
	  alert("用户名错误");
      document.Loginform.Item1.focus();
	  return false;
	  exit;
   }
   if (trim(document.Loginform.Item2.value).length<5 || trim(document.Loginform.Item2.value).length>18)
   {
	  alert("密码错误");
      document.Loginform.Item2.focus();
	  return false;
	  exit;
   }
   if (trim(document.Loginform.Code.value) == "")
   {
	  alert("请填写验证码");
      document.Loginform.Code.focus();
	  return false;
	  exit;
   }
   return true;
}
/*会员注册*/
function CheckReg()
{
   if (trim(document.Regform.Item1.value).length<2 || trim(document.Regform.Item1.value).length>15)
   {
	  alert("用户名为2~15个字符");
      document.Regform.Item1.focus();
	  return false;
	  exit;
   }
   if (trim(document.Regform.Item2.value).length<6 || trim(document.Regform.Item2.value).length>18)
   {
	  alert("密码为6~18个字符");
      document.Regform.Item2.focus();
	  return false;
	  exit;
   }
   var ispass=(/^\w+$/);   
   if (!ispass.test(document.Regform.Item2.value))
   {
	  alert("密码只能包含字母数字");
      document.Regform.Item2.focus();
	  return false;
	  exit;
   }   
   if (trim(document.Regform.Item2.value) !== trim(document.Regform.fItem2.value))
   {
	  alert("两次输入的密码不一致");
      document.Regform.fItem2.focus();
	  return false;
	  exit;
   }
   var isemail=(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/);
   if (trim(document.Regform.Item5.value).length>30 || !isemail.test(document.Regform.Item5.value))
   {
	  alert("邮箱地址错误");
      document.Regform.Item5.focus();
	  return false;
	  exit;
   }
   if (trim(document.Regform.Code.value) == "")
   {
	  alert("请填写验证码");
      document.Regform.Code.focus();
	  return false;
	  exit;
   }
   return true;
}
/*在线留言*/
function CheckGbook()
{
   if (trim(document.Gbookform.Name.value).length<2 || trim(document.Gbookform.Name.value).length>10)
   {
	  alert("昵称为2~10个字符");
      document.Gbookform.Name.focus();
	  return false;
	  exit;
   }
   if (trim(document.Gbookform.ItemNote.value).length<5 || trim(document.Gbookform.ItemNote.value).length>200)
   {
	  alert("内容为5~200个字符");
      document.Gbookform.ItemNote.focus();
	  return false;
	  exit;
   }
   return true;
}
/*订购产品*/
function CheckOrder()
{
   if (trim(document.formOrder.Item1.value) == "")
   {
	  alert("产品名称不能为空");
      document.formOrder.Item1.focus();
	  return false;
	  exit;
   }
   if (trim(document.formOrder.Item2.value) == "")
   {
	  alert("订购不能为空");
      document.formOrder.Item2.focus();
	  return false;
	  exit;
   }
   if (trim(document.formOrder.Item3.value) == "")
   {
	  alert("真实姓名不能为空");
      document.formOrder.Item3.focus();
	  return false;
	  exit;
   }
   if (trim(document.formOrder.Item4.value) == "")
   {
	  alert("详细地址不能为空");
      document.formOrder.Item4.focus();
	  return false;
	  exit;
   }
   if (trim(document.formOrder.Item5.value) == "")
   {
	  alert("邮政编码不能为空");
      document.formOrder.Item5.focus();
	  return false;
	  exit;
   }
   if (trim(document.formOrder.Item6.value) == "")
   {
	  alert("联系电话不能为空");
      document.formOrder.Item6.focus();
	  return false;
	  exit;
   }
   if (trim(document.formOrder.Item7.value) == "")
   {
	  alert("电子邮箱不能为空");
      document.formOrder.Item7.focus();
	  return false;
	  exit;
   }
   if (trim(document.formOrder.Code.value) == "")
   {
	  alert("请填写验证码");
      document.formOrder.Code.focus();
	  return false;
	  exit;
   }
   return true;
}
/*按比例生成缩略图*/
function DrawImage(ImgD,W,H){
  var flag=false; 
  var image=new Image(); 
  image.src=ImgD.src; 
  if(image.width>0 && image.height>0){ 
    flag=true; 
    if(image.width/image.height>= W/H){ 
      if(image.width>W){
        ImgD.width=W; 
        ImgD.height=(image.height*H)/image.width; 
      }
	  else{ 
        ImgD.width=image.width;
        ImgD.height=image.height; 
      } 
      ImgD.alt= ""; 
    } 
    else{ 
      if(image.height>H){
        ImgD.height=H; 
        ImgD.width=(image.width*W)/image.height; 
      }
	  else{ 
        ImgD.width=image.width;
        ImgD.height=image.height; 
      } 
      ImgD.alt=""; 
    } 
  }
}
/*兼容浏览器加入收藏*/
function Favorites(Title,getUrl){ 
//Title=document.title; 
//geturl=document.location.href;
if (document.all){
  window.external.addFavorite(getUrl,Title);
  }
  else if 
  (window.sidebar)
  {
    window.sidebar.addPanel(Title, getUrl, "");
  }
}
/*删除空字符串*/
function trim(str){ //删除左右两端的空格
            return str.replace(/(^\s*)|(\s*$)/g, "");
        }
function ltrim(str){ //删除左边的空格
          return str.replace(/(^\s*)/g,"");
        }
function rtrim(str){ //删除右边的空格
         return str.replace(/(\s*$)/g,"");
        }
		